Bug 1350077 - [wayland-copr build] [X11] unable to open URLs in an existing firefox instance
Summary: [wayland-copr build] [X11] unable to open URLs in an existing firefox instance
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2016-06-25 08:33 UTC by Christian Stadelmann
Modified: 2017-07-29 07:25 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-29 07:25:35 UTC


Attachments (Terms of Use)

Description Christian Stadelmann 2016-06-25 08:33:33 UTC
Description of problem:
firefox builds from wayland-copr behave differently than "normal" firefox builds when opening URLs.

Version-Release number of selected component (if applicable):
firefox-47.0-7.wayland.fc24.x86_64
gtk3-3.20.6-1.fc24.x86_64

How reproducible:
always. With x11 or wayland backend

Steps to Reproduce:
1. open firefox (no matter whether you are running it with x11 or wayland backend)
2. from any other application, click a URL
3. watch firefox

Actual results:
firefox always opens a new instance, even though firefox is already running

Expected results:
By default, firefox should open URL in previously running instance. This works fine with "normal" firefox build from fedora/updates/updates-testing repos.

Comment 1 Fedora End Of Life 2017-07-25 21:17:38 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Martin Stransky 2017-07-29 07:25:35 UTC
Should be fixed now, Firefox on Wayland uses D-Bus to connect to another FF wayland instance.


Note You need to log in before you can comment on or make changes to this bug.